Package org.eclipse.net4j.util

## Class AdapterUtil

- java.lang.Object
- - org.eclipse.net4j.util.AdapterUtil

-     public final class AdapterUtil
      extends java.lang.Object

  Provides a single static `adapt()` method that conveniently and safely wraps the Platform's adaptation framework.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <TYPE> TYPE` | `adapt​(java.lang.Object object, java.lang.Class<TYPE> type)` |
    `static <TYPE> TYPE` | `adapt​(java.lang.Object object, java.lang.Class<TYPE> type, boolean consultObject)` |
    `static <TYPE> boolean` | `adapts​(java.lang.Object object, java.lang.Class<TYPE> type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### adapts

          public static <TYPE> boolean adapts​(java.lang.Object object,
                                              java.lang.Class<TYPE> type)

      Since:
        3.5

    - #### adapt

          public static <TYPE> TYPE adapt​(java.lang.Object object,
                                          java.lang.Class<TYPE> type)

    - #### adapt

          public static <TYPE> TYPE adapt​(java.lang.Object object,
                                          java.lang.Class<TYPE> type,
                                          boolean consultObject)

      Since:
        3.5